diff --git a/inventory/host_vars/osbs-aarch64-master01.stg.arm.fedoraproject.org b/inventory/host_vars/osbs-aarch64-master01.stg.arm.fedoraproject.org
index b663b90..9e8b6aa 100644
--- a/inventory/host_vars/osbs-aarch64-master01.stg.arm.fedoraproject.org
+++ b/inventory/host_vars/osbs-aarch64-master01.stg.arm.fedoraproject.org
@@ -1,14 +1,14 @@
 ---
 nm: 255.255.255.0
-gw: 10.5.128.254
+gw: 10.5.129.254
 dns: 10.5.126.21
-ks_url: http://10.5.126.23/repo/rhel/ks/kvm-fedora-28-osbs
-ks_repo: http://10.5.126.23/pub/fedora/linux/releases/28/Server/x86_64/os/
-volgroup: /dev/vg_guests
-eth0_ip: 10.5.128.161
-vmhost: virthost04.stg.phx2.fedoraproject.org
+ks_url: http://10.5.126.23/repo/rhel/ks/kvm-fedora-aarch64-28-osbs
+ks_repo: http://10.5.126.23/pub/fedora/linux/releases/28/Server/aarch64/os/
+volgroup: /dev/vg_Server
+eth0_ip: 10.5.129.30
+vmhost: aarch64-c23n1.arm.fedoraproject.org
 datacenter: phx2
-host_group: osbs-stg
+host_group: osbs-aarch64-masters-stg
 
 nrpe_procs_warn: 900
 nrpe_procs_crit: 1000
diff --git a/inventory/host_vars/osbs-aarch64-node01.stg.arm.fedoraproject.org b/inventory/host_vars/osbs-aarch64-node01.stg.arm.fedoraproject.org
index 7e0cc6a..0c91343 100644
--- a/inventory/host_vars/osbs-aarch64-node01.stg.arm.fedoraproject.org
+++ b/inventory/host_vars/osbs-aarch64-node01.stg.arm.fedoraproject.org
@@ -1,14 +1,14 @@
 ---
 nm: 255.255.255.0
-gw: 10.5.128.254
+gw: 10.5.129.254
 dns: 10.5.126.21
-ks_url: http://10.5.126.23/repo/rhel/ks/kvm-fedora-28-osbs
-ks_repo: http://10.5.126.23/pub/fedora/linux/releases/28/Server/x86_64/os/
-volgroup: /dev/vg_guests
-eth0_ip: 10.5.128.162
-vmhost: virthost04.stg.phx2.fedoraproject.org
+ks_url: http://10.5.126.23/repo/rhel/ks/kvm-fedora-aarch64-28-osbs
+ks_repo: http://10.5.126.23/pub/fedora/linux/releases/28/Server/aarch64/os/
+volgroup: /dev/vg_Server
+eth0_ip: 10.5.129.31
+vmhost: aarch64-c24n1.arm.fedoraproject.org
 datacenter: phx2
-host_group: osbs-nodes-stg
+host_group: osbs-aarch64-nodes-stg
 
 nrpe_procs_warn: 900
 nrpe_procs_crit: 1000
diff --git a/inventory/inventory b/inventory/inventory
index c86a45d..9d9fda1 100644
--- a/inventory/inventory
+++ b/inventory/inventory
@@ -817,6 +817,7 @@ osbs-control01.stg.phx2.fedoraproject.org
 osbs-master01.stg.phx2.fedoraproject.org
 osbs-node01.stg.phx2.fedoraproject.org
 osbs-node02.stg.phx2.fedoraproject.org
+osbs-aarch64-master01.stg.arm.fedoraproject.org
 packages03.stg.phx2.fedoraproject.org
 pdc-backend01.stg.phx2.fedoraproject.org
 pdc-backend02.stg.phx2.fedoraproject.org
@@ -1423,6 +1424,12 @@ osbs-masters
 [osbs-masters-stg]
 osbs-master01.stg.phx2.fedoraproject.org
 
+[osbs-aarch64-masters-stg]
+osbs-aarch64-master01.stg.arm.fedoraproject.org
+
+[osbs-aarch64-nodes-stg]
+osbs-aarch64-master01.stg.arm.fedoraproject.org
+
 [osbs-nodes-stg]
 osbs-node01.stg.phx2.fedoraproject.org
 osbs-node02.stg.phx2.fedoraproject.org
@@ -1431,6 +1438,8 @@ osbs-node02.stg.phx2.fedoraproject.org
 osbs-control-stg
 osbs-masters-stg
 osbs-nodes-stg
+osbs-aarch64-masters-stg
+osbs-aarch64-nodes-stg
 
 [os-control-stg]
 os-control01.stg.phx2.fedoraproject.org
